<?php
/*------------------------------------------------------------------------
# Virtuemart Login Module
# ------------------------------------------------------------------------
# Author: www.jmextensions.com
# Copyright: Copyright (C) JoomDev Corp 2012. All Rights Reserved.
# @license: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: www.jmextensions.com
# Email: November 2012
-------------------------------------------------------------------------*/

// no direct access
defined('_JEXEC') or die;
JHtml::_('behavior.keepalive');
?>
<?php if ($type == 'logout') : ?>
<form action="<?php echo JRoute::_('index.php', true, $params->get('usesecure')); ?>" method="post" id="login-form">
<?php if ($params->get('greeting')) : ?>
	<div class="login-greeting">
	<?php if($params->get('name') == 0) : {
		echo JText::sprintf('MOD_VM_LOGIN_HINAME', htmlspecialchars($user->get('name')));
	} else : {
		echo JText::sprintf('MOD_VM_LOGIN_HINAME', htmlspecialchars($user->get('username')));
	} endif; ?>
	</div>
<?php endif; ?>

<ul>



<?php

$url1 = 'index.php?option=com_virtuemart&view=vendor&layout=details';
$url2 = 'index.php?option=com_virtuemart&view=user&layout=edit_address';
$url3 = 'index.php?option=com_virtuemart&view=orders&layout=list';
$menu = &JSite::getMenu();
$menuItem1 = $menu->getItems( 'link', $url1, true );
$menuItem2 = $menu->getItems( 'link', $url2, true );
$menuItem3 = $menu->getItems( 'link', $url3, true );
$Itemid1 = $menuItem1->id;
$Itemid2 = $menuItem2->id;
$Itemid3 = $menuItem3->id;

 if($params->get('accountlink')) : ?>	<li><a href="<?php 	echo JRoute::_('index.php?option=com_virtuemart&view=vendor&layout=details&Itemid='.$Itemid1.'');  ?>"><?php echo JText::_('MOD_VM_ACCOUNT_MAIN'); ?></a></li><?php endif; ?>
		
<?php if($params->get('usereditaddress')) : ?> <li><a href="<?php echo JRoute::_('index.php?option=com_virtuemart&view=user&layout=edit_address&Itemid='.$Itemid2.'');  ?>"><?php echo JText::_('MOD_EDIT_ADDRESS'); ?></a></li><?php endif; ?>

<?php if($params->get('listorders')) : ?> <li><a href="<?php echo JRoute::_('index.php?option=com_virtuemart&view=orders&layout=list&Itemid='.$Itemid3.'');  ?>"><?php echo JText::_('MOD_LIST_ORDER'); ?></a></li><?php endif; ?>

</ul>


	<div class="logout-button">
		<input type="submit" name="Submit" class="button" value="<?php echo JText::_('JLOGOUT'); ?>" />
		<input type="hidden" name="option" value="com_users" />
		<input type="hidden" name="task" value="user.logout" />
		<input type="hidden" name="return" value="<?php echo $return; ?>" />
		<?php echo JHtml::_('form.token'); ?>
	</div>
</form>

<?php else : ?>

<form action="<?php echo JRoute::_('index.php', true, $params->get('usesecure')); ?>" method="post" id="login-form" >
	<?php if ($params->get('pretext')): ?>
		<div class="pretext">
		<p><?php echo $params->get('pretext'); ?></p>
		</div>
	<?php endif; ?>
	<fieldset class="userdata">
	<p id="form-login-username">
		<label for="modlgn-username"><?php echo JText::_('MOD_VM_LOGIN_VALUE_USERNAME') ?></label>
		<input id="modlgn-username" type="text" name="username" class="inputbox"  size="18" />
	</p>
	<p id="form-login-password">
		<label for="modlgn-passwd"><?php echo JText::_('JGLOBAL_PASSWORD') ?></label>
		<input id="modlgn-passwd" type="password" name="password" class="inputbox" size="18"  />
	</p>
	<?php if (JPluginHelper::isEnabled('system', 'remember')) : ?>
	<p id="form-login-remember">
		<label for="modlgn-remember"><?php echo JText::_('MOD_VM_LOGIN_REMEMBER_ME') ?></label>
		<input id="modlgn-remember" type="checkbox" name="remember" <?php if ($params->get('remember_me_default')): echo 'checked="checked"'; ?> <?php endif; ?>class="inputbox" value="yes"/>
	</p>
	<?php endif; ?>
	<input type="submit" name="Submit" class="button" value="<?php echo JText::_('JLOGIN') ?>" />
	<input type="hidden" name="option" value="com_users" />
	<input type="hidden" name="task" value="user.login" />
	<input type="hidden" name="return" value="<?php echo $return; ?>" />
	<?php echo JHtml::_('form.token'); ?>
	</fieldset>
	<ul>
		<li>
			<a href="<?php echo JRoute::_('index.php?option=com_users&view=reset'); ?>">
			<?php echo JText::_('MOD_VM_LOGIN_FORGOT_YOUR_PASSWORD'); ?></a>
		</li>
		<li>
			<a href="<?php echo JRoute::_('index.php?option=com_users&view=remind'); ?>">
			<?php echo JText::_('MOD_VM_LOGIN_FORGOT_YOUR_USERNAME'); ?></a>
		</li>
		<?php
		$usersConfig = JComponentHelper::getParams('com_users');
		if ($usersConfig->get('allowUserRegistration')) : ?>
		<li>
			<a href="<?php echo JRoute::_('index.php?option=com_users&view=registration'); ?>">
				<?php echo JText::_('MOD_VM_LOGIN_REGISTER'); ?></a>
		</li>
		<?php endif; ?>
	</ul>
	
	
	

	<?php if ($params->get('posttext')): ?>
		<div class="posttext">
		<p><?php echo $params->get('posttext'); ?></p>
		</div>
	<?php endif; ?>
</form>
<?php endif; ?>


